export default {
  name: 'ionicons',
  type: {
    positive: 'ion-checkmark',
    negative: 'ion-alert-circled',
    info: 'ion-information-circled',
    warning: 'ion-alert'
  },
  arrow: {
    up: 'ion-ios-arrow-thin-up',
    right: 'ion-ios-arrow-thin-right',
    down: 'ion-ios-arrow-thin-down',
    left: 'ion-ios-arrow-thin-left'
  },
  chevron: {
    left: 'ion-chevron-left',
    right: 'ion-chevron-right'
  },

  pullToRefresh: {
    arrow: 'ion-arrow-down-c',
    refresh: 'ion-ios-refresh'
  },
  search: {
    icon: 'ion-ios-search',
    clear: 'ion-close-circled',
    clearInverted: 'ion-close-round'
  },
  carousel: {
    left: 'ion-chevron-left',
    right: 'ion-chevron-right',
    quickNav: 'ion-record'
  },
  checkbox: {
    checked: {
      ios: 'ion-ios-checkmark',
      mat: 'ion-android-checkbox'
    },
    unchecked: {
      ios: 'ion-ios-circle-outline',
      mat: 'ion-android-checkbox-outline-blank'
    },
    indeterminate: {
      ios: 'ion-ios-minus-outline',
      mat: 'ion-android-checkbox-blank'
    }
  },
  chip: {
    close: 'ion-close-circled'
  },
  chipsInput: {
    add: 'ion-android-send'
  },
  collapsible: {
    icon: 'ion-chevron-down'
  },
  datetime: {
    arrowLeft: 'ion-chevron-left',
    arrowRight: 'ion-chevron-right'
  },
  editor: { // TODO (requires Material icons for some as Ionicons simply does not have everything needed)
    bold: 'format_bold',
    italic: 'format_italic',
    strikethrough: 'strikethrough_s',
    underline: 'format_underlined',
    unorderedList: 'ion-ios-list-outline',
    orderedList: 'ion-ios-paper-outline',
    subscript: 'vertical_align_bottom',
    superscript: 'vertical_align_top',
    hyperlink: 'ion-link',
    toggleFullscreen: 'ion-arrow-expand',
    quote: 'ion-quote',
    left: 'format_align_left',
    center: 'format_align_center',
    right: 'format_align_right',
    justify: 'format_align_justify',
    print: 'ion-ios-printer',
    outdent: 'format_indent_decrease',
    indent: 'format_indent_increase',
    removeFormat: 'format_clear',
    formatting: 'text_format',
    fontSize: 'format_size',
    align: 'fa-align-left',
    hr: 'ion-minus-round',
    undo: 'ion-ios-undo',
    redo: 'ion-ios-redo',
    header: 'format_size',
    code: 'ion-code',
    size: 'format_size',
    font: 'font_download'
  },
  fab: {
    icon: 'ion-ios-plus-empty',
    activeIcon: 'ion-ios-close-empty'
  },
  input: {
    showPass: 'ion-eye',
    hidePass: 'ion-eye-disabled',
    showNumber: 'ion-calculator',
    hideNumber: 'ion-ios-keypad',
    clear: 'ion-close-circled',
    clearInverted: 'ion-close-round',
    dropdown: 'ion-android-arrow-dropdown'
  },
  pagination: {
    first: 'ion-ios-skipbackward-outline',
    prev: 'ion-ios-arrow-left',
    next: 'ion-ios-arrow-right',
    last: 'ion-ios-skipforward-outline'
  },
  radio: {
    checked: {
      ios: 'ion-android-done',
      mat: 'ion-android-radio-button-on'
    },
    unchecked: {
      ios: '',
      mat: 'ion-android-radio-button-off'
    }
  },
  rating: {
    icon: 'ion-ios-star'
  },
  stepper: {
    done: 'ion-checkmark',
    active: 'ion-edit',
    error: 'ion-alert-circled'
  },
  tabs: {
    left: 'ion-chevron-left',
    right: 'ion-chevron-right'
  },
  table: {
    arrowUp: 'ion-ios-arrow-thin-up',
    warning: 'ion-alert-circled',
    prevPage: 'ion-chevron-left',
    nextPage: 'ion-chevron-right'
  },
  tree: {
    icon: 'ion-ios-play'
  },
  uploader: {
    done: 'ion-ios-checkmark-outline',
    clear: 'ion-close-circled',
    clearInverted: 'ion-close-round',
    add: 'ion-ios-plus-outline',
    upload: 'ion-ios-cloud-upload-outline',
    expand: 'ion-chevron-down',
    file: 'ion-document-text'
  }
}
